CREATE TABLE `si_biller` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `street_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `street_address2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mobile_phone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fax` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `signature` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT 'Email signature',
  `logo` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `footer` text COLLATE utf8_unicode_ci,
  `paypal_business_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `paypal_notify_url` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `paypal_return_url` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `eway_customer_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `paymentsgateway_api_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notes` text COLLATE utf8_unicode_ci,
  `custom_field1` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_biller` VALUES('1','1','Association Crossover','chez Mickaël Loubaresse','8 rue Jean Moulin','Fondettes','','37230','','06 89 90 67 09','','','crossover.campustours@gmail.com','','crossover.jpg','<div>L\'association Crossover est exonérée de la TVA, article 293 B du CGI<br>SIRET : 817 977 275 000 12 - APE : 9001 Z | Numéro préfecture W372012997</div>','','','','','','','','','','','1');

CREATE TABLE `si_cron` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) unsigned NOT NULL,
  `invoice_id` int(11) unsigned DEFAULT NULL,
  `start_date` date NOT NULL,
  `end_date` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `recurrence` int(11) NOT NULL,
  `recurrence_type` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
  `email_biller` tinyint(1) NOT NULL DEFAULT '0',
  `email_customer` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  KEY `invoice_id` (`invoice_id`),
  CONSTRAINT `si_cron_ibfk_1` FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_cron_log` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) unsigned NOT NULL,
  `cron_id` int(11) unsigned DEFAULT NULL,
  `run_date` date NOT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `CronIdUnq` (`domain_id`,`cron_id`,`run_date`),
  KEY `cron_id` (`cron_id`),
  CONSTRAINT `si_cron_log_ibfk_1` FOREIGN KEY (`cron_id`) REFERENCES `si_cron` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_custom_fields` (
  `cf_id` int(11) NOT NULL AUTO_INCREMENT,
  `cf_custom_field` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `cf_custom_label` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `cf_display` tinyint(1) NOT NULL DEFAULT '1',
  `domain_id` int(11) NOT NULL,
  PRIMARY KEY (`cf_id`,`domain_id`),
  UNIQUE KEY `cf_id` (`cf_id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_custom_fields` VALUES('1','biller_cf1','','0','1');
INSERT INTO `si_custom_fields` VALUES('2','biller_cf2','','0','1');
INSERT INTO `si_custom_fields` VALUES('3','biller_cf3','','0','1');
INSERT INTO `si_custom_fields` VALUES('4','biller_cf4','','0','1');
INSERT INTO `si_custom_fields` VALUES('5','customer_cf1','','0','1');
INSERT INTO `si_custom_fields` VALUES('6','customer_cf2','','0','1');
INSERT INTO `si_custom_fields` VALUES('7','customer_cf3','','0','1');
INSERT INTO `si_custom_fields` VALUES('8','customer_cf4','','0','1');
INSERT INTO `si_custom_fields` VALUES('9','product_cf1','','0','1');
INSERT INTO `si_custom_fields` VALUES('10','product_cf2','','0','1');
INSERT INTO `si_custom_fields` VALUES('11','product_cf3','','0','1');
INSERT INTO `si_custom_fields` VALUES('12','product_cf4','','0','1');
INSERT INTO `si_custom_fields` VALUES('13','invoice_cf1','','0','1');
INSERT INTO `si_custom_fields` VALUES('14','invoice_cf2','','0','1');
INSERT INTO `si_custom_fields` VALUES('15','invoice_cf3','','0','1');
INSERT INTO `si_custom_fields` VALUES('16','invoice_cf4','','0','1');

CREATE TABLE `si_custom_flags` (
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `associated_table` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `flg_id` tinyint(3) unsigned NOT NULL COMMENT 'Flag number ranging from 1 to 10',
  `field_label` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL COMMENT 'Defaults to enabled when record created. Can disable to retire flag.',
  `field_help` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`associated_table`,`flg_id`),
  KEY `domain_id` (`domain_id`),
  KEY `dtable` (`domain_id`,`associated_table`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Specifies an allowed setting for a flag field';

CREATE TABLE `si_customers` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) unsigned NOT NULL,
  `attention` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `department` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `street_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `street_address2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mobile_phone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fax` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_card_holder_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_card_number` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_card_expiry_month` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_card_expiry_year` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notes` text COLLATE utf8_unicode_ci,
  `parent_customer_id` int(11) DEFAULT NULL,
  `default_invoice` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Invoice index_id value to use as the default template',
  `custom_field1` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_customers` VALUES('1','1','','Citizen café / OSP','','14-16 rue de la longue Echelle','','Tours','','FR-37000','France','','','','spectaclo@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('2','1','Monsieur Dejan Nikolic','Le Balkanic','','83 rue Colbert','','Tours','37000','','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('3','1','','Le Petit Monde','','59 rue Jules Charpentier','','Tours','37000','','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('4','1','','Le Palais de la bière','','250 rue du Faubourg du Pont Neuf','','Poitiers','','86000','','','','','concertplb@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('5','1','','Prunel Tatiana','','20 rue Beauregard','','Rochecorbon','','FR-37210','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('6','1','','Atelier 21','','82 avenue Denfert Rochereau','','Paris','','75014','','','','','','','','','','Samedi 03 juin 2017','','0','','','','','1');
INSERT INTO `si_customers` VALUES('7','1','Arnaud Gu?det','Le Temps Machine','','45 - 49 parvis Miles Davis','BP 134','Jou? les Tours cedex','','37301','','02 47 48 90 60','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('8','1','','Icart sur les Chemins','','2 rue Adriens Deslondains','','Tours','','37000','','','0610215972','','icartsurleschemins@hotmail.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('9','1','','Nove Nove Cinco','','137 rue Lakanal','','Tours','France','37000','','','','','ca@novenovecinco.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('10','1','','Le Grand Cagibi','','9 all?e de la Fauvette','','Tours','','37100','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('11','1','','Le Triangle d\'Or','','155 rue Saint Fran?ois','','Tours','','37000','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('12','1','Hugues Barbotin','Association Terres du Son','','Parvis Miles Davis','','Jou? les Tours','','37300','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('13','1','','La Smalla Connection','','109 rue Jules Guesde','','Tours','','37000','','','','','','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('14','1','','Domaine Delobel','','3 route des souchettes','','Ouchamps','','41120','','','0631369418','','benjamin@domainedelobel.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('15','1','','Association Bul\' de Mômes','','6 Chemin des Étangs','','Saint-Ouen-les-Vignes','','37530','','02 47 30 82 75','','','secretariat@buldemomes.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('16','1','','Association 33 Tours','','8 La Jasnière','','Cinq Mars La Pile','','37130','','','','','orga@33-tours.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('17','1','Mickaël MARTEAU','Association L\'Asso','','23 Rue de la Morinerie','','Saint-Pierre-Des-Corps','','37700','','','06-31-11-61-43','','production@terresduson.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('18','1','','SAS CAFE DU BOUCHON','','84 rue Colbert','','Tours','','37000','','','','','anne.arnault@mareserve.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('19','1','','Scic Ohé! Le Bateau Ivre','','146 rue Edouard Vaillant','','Tours','','37000','','','07 86 86 48 57','','admin@bateauivre.coop','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('20','1','Amandine Lopes','So Sweet Event','','23 rue de Vontes','','Tours','','37100','','','','','amandinelopes2@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('21','1','','Bistrot 22','','22 place Gaston Paillhou','','Tours','','37000','','','','','bistrot22@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('22','1','Léa Finot','Set Société d\'Equipement de la Touraine','','40 rue James Watt','','Tours','','37200','','','','','finot@set.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('23','1','Émilie MÉRIEAU','Association XL Art','','8 rue Georges Courteline','','Tours','','37000','','06 88 82 30 74','','','contact@xlart.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('24','1','','KREA','','5 rue Marie de Lorraine','','La Ville aux Dames','','37700','','','','','julienabelseber1@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('25','1','','Association Entraide et Solidarités','','46 avenue Gustave Eiffel','','Tours','','37100','','','','','infos@entraide-et-solidarites.fr','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('26','1','Mairie','Association Manège Carré','','Place du Général de Gaulle','','Chinon','','37500','','','','','ciemanegecarre@gmail.com','','','','','','','0','','','','','1');
INSERT INTO `si_customers` VALUES('27','1','','Chez Latie','','110 rue Edouard Vaillant','','Tours','','37000','','','','','chez.latie@outlook.com','','','','','','','0','','','','','1');

CREATE TABLE `si_expense` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL,
  `amount` decimal(25,6) NOT NULL,
  `expense_account_id` int(11) unsigned DEFAULT NULL,
  `biller_id` int(11) unsigned DEFAULT NULL,
  `customer_id` int(11) unsigned DEFAULT NULL,
  `invoice_id` int(11) unsigned DEFAULT NULL,
  `product_id` int(11) unsigned DEFAULT NULL,
  `date` date NOT NULL,
  `note` text COLLATE utf8_unicode_ci,
  `status` tinyint(1) NOT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  KEY `biller_id` (`biller_id`),
  KEY `customer_id` (`customer_id`),
  KEY `invoice_id` (`invoice_id`),
  CONSTRAINT `si_expense_ibfk_1` FOREIGN KEY (`biller_id`) REFERENCES `si_biller` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `si_expense_ibfk_2` FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `si_expense_ibfk_3` FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_expense_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_expense_item_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `expense_id` int(11) unsigned DEFAULT NULL,
  `tax_id` int(11) unsigned DEFAULT NULL,
  `tax_type` varchar(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tax_rate` decimal(25,6) NOT NULL,
  `tax_amount` decimal(25,6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_extensions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`,`domain_id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_extensions` VALUES('1','0','core','Core part of Simple Invoices - always enabled','1');

CREATE TABLE `si_index` (
  `id` int(11) NOT NULL,
  `node` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `sub_node` int(11) NOT NULL,
  `sub_node_2` int(11) NOT NULL,
  `domain_id` int(11) NOT NULL,
  PRIMARY KEY (`node`,`sub_node`,`sub_node_2`,`domain_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_index` VALUES('94','invoice','1','0','1');
INSERT INTO `si_index` VALUES('8','invoice','4','0','1');

CREATE TABLE `si_install_complete` (
  `completed` tinyint(1) NOT NULL COMMENT 'Flag SI install has completed'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Specifies an allowed setting for a flag field';
INSERT INTO `si_install_complete` VALUES('1');

CREATE TABLE `si_inventory` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL,
  `product_id` int(11) unsigned DEFAULT NULL,
  `quantity` decimal(25,6) NOT NULL,
  `cost` decimal(25,6) DEFAULT NULL,
  `date` date NOT NULL,
  `note` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_invoice_item_attachments` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `invoice_item_id` int(11) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `attachment` blob COMMENT 'Attached object',
  PRIMARY KEY (`id`),
  KEY `invoice_item_id` (`invoice_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_invoice_item_tax` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_item_id` int(11) unsigned DEFAULT NULL,
  `tax_id` int(11) unsigned DEFAULT NULL,
  `tax_type` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tax_rate` decimal(25,6) NOT NULL,
  `tax_amount` decimal(25,6) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_invoice_item_tax` VALUES('8','7','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('9','8','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('11','9','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('12','10','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('13','11','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('14','12','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('15','13','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('18','15','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('19','14','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('20','16','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('21','17','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('22','18','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('23','19','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('24','20','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('25','21','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('28','22','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('29','23','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('30','24','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('32','25','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('33','26','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('34','27','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('35','28','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('36','29','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('38','30','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('39','31','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('40','32','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('44','35','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('47','36','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('48','37','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('49','34','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('50','38','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('53','39','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('55','41','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('56','42','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('57','43','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('58','44','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('59','45','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('60','40','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('61','46','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('62','47','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('63','48','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('64','49','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('75','52','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('76','53','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('77','54','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('78','55','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('79','56','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('80','57','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('84','58','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('86','59','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('87','60','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('88','61','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('89','62','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('90','50','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('91','63','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('92','64','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('93','65','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('94','66','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('96','67','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('98','68','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('100','69','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('101','70','4','%','0.000000','0.000000');
INSERT INTO `si_invoice_item_tax` VALUES('102','71','4','%','0.000000','0.000000');

CREATE TABLE `si_invoice_items` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `invoice_id` int(11) unsigned DEFAULT NULL,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `quantity` decimal(25,6) NOT NULL DEFAULT '0.000000',
  `product_id` int(11) unsigned DEFAULT NULL,
  `unit_price` decimal(25,6) DEFAULT '0.000000',
  `tax_amount` decimal(25,6) DEFAULT '0.000000',
  `gross_total` decimal(25,6) DEFAULT '0.000000',
  `description` text COLLATE utf8_unicode_ci,
  `total` decimal(25,6) DEFAULT '0.000000',
  `attribute` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_id` (`invoice_id`),
  KEY `DomainInv` (`invoice_id`,`domain_id`)
) ENGINE=InnoDB AUTO_INCREMENT=104 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_invoice_items` VALUES('7','1','1','1.000000','1','250.000000','0.000000','250.000000','Vendredi 16 septembre 2016 - DJ set','250.000000','');
INSERT INTO `si_invoice_items` VALUES('8','2','1','1.000000','1','100.000000','0.000000','100.000000','Vendredi 9 septembre 2016, le Foudre','100.000000','');
INSERT INTO `si_invoice_items` VALUES('9','3','1','1.000000','1','80.000000','0.000000','80.000000','Vendredi 23 septembre 2016 - DJ set','80.000000','');
INSERT INTO `si_invoice_items` VALUES('10','4','1','1.000000','1','60.000000','0.000000','60.000000','','60.000000','');
INSERT INTO `si_invoice_items` VALUES('11','5','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('12','6','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','');
INSERT INTO `si_invoice_items` VALUES('13','7','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('14','8','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('15','9','1','1.000000','1','55.000000','0.000000','55.000000','','55.000000','');
INSERT INTO `si_invoice_items` VALUES('16','10','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('17','11','1','1.000000','1','60.000000','0.000000','60.000000','','60.000000','');
INSERT INTO `si_invoice_items` VALUES('18','12','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('19','13','1','1.000000','1','60.000000','0.000000','60.000000','','60.000000','');
INSERT INTO `si_invoice_items` VALUES('20','14','1','1.000000','1','300.000000','0.000000','300.000000','','300.000000','');
INSERT INTO `si_invoice_items` VALUES('21','15','1','1.000000','1','50.000000','0.000000','50.000000','','50.000000','');
INSERT INTO `si_invoice_items` VALUES('22','16','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('23','17','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','');
INSERT INTO `si_invoice_items` VALUES('24','18','1','2.000000','1','75.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('25','19','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('26','20','1','1.000000','1','50.000000','0.000000','50.000000','','50.000000','');
INSERT INTO `si_invoice_items` VALUES('27','21','1','1.000000','1','60.000000','0.000000','60.000000','','60.000000','');
INSERT INTO `si_invoice_items` VALUES('28','22','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('29','23','1','1.000000','1','60.000000','0.000000','60.000000','','60.000000','');
INSERT INTO `si_invoice_items` VALUES('30','24','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','');
INSERT INTO `si_invoice_items` VALUES('31','25','1','1.000000','2','50.000000','0.000000','50.000000','','50.000000','');
INSERT INTO `si_invoice_items` VALUES('32','26','1','1.000000','1','70.000000','0.000000','70.000000','Prestation du vendredi 9 f?vrier 2018 de 21h30 ? 01h45','70.000000','');
INSERT INTO `si_invoice_items` VALUES('34','28','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','');
INSERT INTO `si_invoice_items` VALUES('36','27','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('38','29','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('39','30','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('40','31','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('41','32','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','');
INSERT INTO `si_invoice_items` VALUES('42','33','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('43','34','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('44','35','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('45','36','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('46','37','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('47','38','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','');
INSERT INTO `si_invoice_items` VALUES('48','39','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('49','40','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('50','41','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('54','42','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','');
INSERT INTO `si_invoice_items` VALUES('55','42','1','1.000000','2','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('56','43','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('57','44','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','');
INSERT INTO `si_invoice_items` VALUES('58','45','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('59','46','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','');
INSERT INTO `si_invoice_items` VALUES('60','47','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','');
INSERT INTO `si_invoice_items` VALUES('61','48','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('62','49','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','');
INSERT INTO `si_invoice_items` VALUES('63','50','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','');
INSERT INTO `si_invoice_items` VALUES('64','51','1','3.000000','1','100.000000','0.000000','300.000000','','300.000000','');
INSERT INTO `si_invoice_items` VALUES('65','52','1','1.000000','1','300.000000','0.000000','300.000000','','300.000000','');
INSERT INTO `si_invoice_items` VALUES('66','53','1','1.000000','1','50.000000','0.000000','50.000000','','50.000000','');
INSERT INTO `si_invoice_items` VALUES('67','54','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','');
INSERT INTO `si_invoice_items` VALUES('68','55','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','');
INSERT INTO `si_invoice_items` VALUES('69','56','1','1.000000','1','110.000000','0.000000','110.000000','','110.000000','');
INSERT INTO `si_invoice_items` VALUES('70','57','1','1.000000','1','90.000000','0.000000','90.000000','','90.000000','');
INSERT INTO `si_invoice_items` VALUES('71','58','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','');
INSERT INTO `si_invoice_items` VALUES('72','59','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','[]');
INSERT INTO `si_invoice_items` VALUES('73','60','1','1.000000','1','1.000000','0.000000','1.000000','','1.000000','[]');
INSERT INTO `si_invoice_items` VALUES('74','61','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','[]');
INSERT INTO `si_invoice_items` VALUES('75','62','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');
INSERT INTO `si_invoice_items` VALUES('76','63','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');
INSERT INTO `si_invoice_items` VALUES('77','64','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');
INSERT INTO `si_invoice_items` VALUES('78','65','1','180.000000','4','0.250000','0.000000','45.000000','','45.000000','[]');
INSERT INTO `si_invoice_items` VALUES('79','66','1','1.000000','1','350.000000','0.000000','350.000000','','350.000000','[]');
INSERT INTO `si_invoice_items` VALUES('80','67','1','1.000000','1','120.000000','0.000000','120.000000','','120.000000','[]');
INSERT INTO `si_invoice_items` VALUES('81','68','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('82','69','1','1.000000','1','50.000000','0.000000','50.000000','','50.000000','[]');
INSERT INTO `si_invoice_items` VALUES('83','70','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');
INSERT INTO `si_invoice_items` VALUES('84','71','1','1.000000','1','70.000000','0.000000','70.000000','','70.000000','[]');
INSERT INTO `si_invoice_items` VALUES('85','72','1','1.000000','1','300.000000','0.000000','300.000000','','300.000000','[]');
INSERT INTO `si_invoice_items` VALUES('86','73','1','1.000000','1','2184.000000','0.000000','2184.000000','','2184.000000','[]');
INSERT INTO `si_invoice_items` VALUES('87','74','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('88','75','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','[]');
INSERT INTO `si_invoice_items` VALUES('89','76','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','[]');
INSERT INTO `si_invoice_items` VALUES('90','77','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','[]');
INSERT INTO `si_invoice_items` VALUES('91','78','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','[]');
INSERT INTO `si_invoice_items` VALUES('92','79','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('93','80','1','1.000000','1','140.000000','0.000000','140.000000','','140.000000','[]');
INSERT INTO `si_invoice_items` VALUES('94','81','1','2.000000','1','20.000000','0.000000','40.000000','','40.000000','[]');
INSERT INTO `si_invoice_items` VALUES('95','82','1','1.000000','1','80.000000','0.000000','80.000000','','80.000000','[]');
INSERT INTO `si_invoice_items` VALUES('96','83','1','1.000000','1','150.000000','0.000000','150.000000','','150.000000','[]');
INSERT INTO `si_invoice_items` VALUES('97','84','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');
INSERT INTO `si_invoice_items` VALUES('98','85','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('99','86','1','1.000000','1','800.000000','0.000000','800.000000','','800.000000','[]');
INSERT INTO `si_invoice_items` VALUES('100','87','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('101','88','1','1.000000','1','200.000000','0.000000','200.000000','','200.000000','[]');
INSERT INTO `si_invoice_items` VALUES('102','89','1','1.000000','1','250.000000','0.000000','250.000000','','250.000000','[]');
INSERT INTO `si_invoice_items` VALUES('103','90','1','1.000000','1','100.000000','0.000000','100.000000','','100.000000','[]');

CREATE TABLE `si_invoice_type` (
  `inv_ty_id` int(11) NOT NULL AUTO_INCREMENT,
  `inv_ty_description` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`inv_ty_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_invoice_type` VALUES('1','Total');
INSERT INTO `si_invoice_type` VALUES('2','Itemised');
INSERT INTO `si_invoice_type` VALUES('3','Consulting');

CREATE TABLE `si_invoices` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `index_id` int(11) NOT NULL,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `biller_id` int(11) unsigned DEFAULT NULL,
  `customer_id` int(11) unsigned DEFAULT NULL,
  `type_id` int(11) unsigned DEFAULT NULL,
  `preference_id` int(11) unsigned DEFAULT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `custom_field1` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `note` text COLLATE utf8_unicode_ci,
  `owing` decimal(25,6) NOT NULL DEFAULT '0.000000' COMMENT 'Amount owing as of aging-date',
  `last_activity_date` datetime NOT NULL DEFAULT '2000-12-31 00:00:00' COMMENT 'Date last activity update to the invoice',
  `aging_date` datetime NOT NULL DEFAULT '2000-12-30 00:00:00' COMMENT 'Date aging was last calculated',
  `age_days` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'Age of invoice balance',
  `aging` varchar(5) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT 'Aging string (1-14, 15-30, etc.',
  `sales_representative` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `UniqDIB` (`index_id`,`preference_id`,`biller_id`,`domain_id`),
  KEY `domain_id` (`domain_id`),
  KEY `biller_id` (`biller_id`),
  KEY `customer_id` (`customer_id`),
  KEY `IdxDI` (`index_id`,`preference_id`,`domain_id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_invoices` VALUES('1','2','1','1','2','2','1','2016-09-07 00:00:00','','','','','				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('2','3','1','1','3','2','1','2016-09-08 00:00:00','','','','','				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('3','4','1','1','1','2','1','2016-09-24 00:00:00','','','','','Facture r?gl?e en esp?ces le vendredi 23 septembre 2016<br>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('4','5','1','1','1','2','1','2016-10-09 00:00:00','','','','','Facture r?gl?e en esp?ce samedi 8 octobre 2016','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('5','6','1','1','1','2','1','2016-11-13 00:00:00','','','','','Animation du samedi 12 novembre 2016. <br>Facture r?gl?e en esp?ces samedi 12 novembre 2016				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('6','7','1','1','4','2','1','2016-11-19 00:00:00','','','','','Vendredi 25 novembre 2016 - 21h ? la fermeture<br><ul><li>Concert du groupe Hustle</li><li>DJ set Crossover</li></ul>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('7','8','1','1','1','2','1','2016-12-11 00:00:00','','','','','?v?nement du samedi 10 d?cembre 2016<br>Facture r?gl?e en esp?ces le samedi 10 d?cembre 2016<br>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:11','0','','');
INSERT INTO `si_invoices` VALUES('8','9','1','1','5','2','1','2017-01-22 00:00:00','','','','','R?gl? en esp?ces samedi 140117				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('9','10','1','1','1','2','1','2017-01-22 00:00:00','','','','','?v?nement samedi 21 janvier 2017<br><br>Pay?e en esp?ces samedi 21 janvier 2017','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('10','11','1','1','1','2','1','2017-02-26 00:00:00','','','','','Animation du samedi 25 f?vrier 2017<br><br>Facture r?gl?e en esp?ces le samedi 25/02/2017<br>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('11','12','1','1','1','2','1','2017-03-12 00:00:00','','','','','Animation du samedi 11 mars 2017<br><br>Facture r?gl?e en esp?ces le samedi 11/03/2017				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('12','13','1','1','1','2','1','2017-04-16 00:00:00','','','','','Animation DJ du samedi 8 avril 2017<br><br>R?gl?e en esp?ces le dimanche 9 avril 2017<br>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('13','14','1','1','1','2','1','2017-05-14 00:00:00','','','','','Animation du samedi 13 mai 2017<br>Pay?e en esp?ces le 140517<br>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('14','15','1','1','6','2','1','2017-05-31 00:00:00','','','','','Prestation r?alis?e samedi 3 juin 2017 de 12h ? 19h				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('15','16','1','1','1','2','1','2017-06-12 00:00:00','','','','','Animation du samedi 10 juin 2017<div><br></div><div>R?gl?e en esp?ces dimanche 11 juin 2017</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('16','17','1','1','7','2','1','2017-06-27 00:00:00','','','','','Animation de l\'?v?nement Afterwork #9 Sous le Soleil, jeudi 29 juin 2017 de 18h30 ? 19h30 puis de 20h30 ? la fermeture de l\'?tablissement.&nbsp;<div>Les repas et boissons restent ? la charge de l\'organisateur de la manifestation.</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('17','18','1','1','1','2','1','2017-07-18 00:00:00','','','','','Animation du samedi 15 juillet 2017 de 22h00 ? 02h00<div><br></div><div>Facture r?gl?e en esp?ces le 16 juillet 2017</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('18','19','1','1','8','2','1','2017-07-18 00:00:00','','','','','Animation de l\'espace Icart sur les Chemins de 01h00 ? 03h00 samedi 8 juillet 2017 et&nbsp;de 01h00 ? 03h00 lundi 10 juillet 2017&nbsp;','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('19','20','1','1','1','2','1','2017-08-18 00:00:00','','','','','Animation du samedi 12 ao?t 2017 de 22h ? 02h<div><br></div><div>Facture r?gl?e le dimanche 13 ao?t 2017 en esp?ces</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('20','21','1','1','1','2','1','2017-09-17 00:00:00','','','','','Animation vendredi 15 septembre 2017 de 22h00 ? 01h45<div><br></div><div>Facture r?gl?e en esp?ces samedi 16 septembre 2017</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('21','22','1','1','1','2','1','2017-10-14 00:00:00','','','','','Animation du vendredi 13 octobre 2017, 21h30 - 02h00<div><br></div><div>Facture r?gl?e en esp?ces samedi 14 octobre 2017</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('22','23','1','1','1','2','1','2017-11-11 00:00:00','','','','','Animation vendredi 10 novembre de 22h ? 02H00 samedi 11','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('23','24','1','1','1','2','1','2017-12-09 00:00:00','','','','','Animation du vendredi 8 d?cembre 2017 22h00 - 02h00','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('24','25','1','1','1','2','1','2018-01-14 00:00:00','','','','','Ev?nement du vendredi 12 janvier 2018 de 22h ? 02h00<div><br></div><div>Facture r?gl?e en esp?ces samedi 13 janvier 2017</div>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('25','26','1','1','9','2','1','2018-03-04 00:00:00','','','','','Ev?nement ? l\'Oxford Pub, 37000 Tours du vendredi 3 mars 2018','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('26','27','1','1','1','2','1','2018-03-07 00:00:00','','','','','R?gl?e en esp?ces samedi 10 f?vrier 2018','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('27','29','1','1','1','2','1','2018-03-10 00:00:00','','','','','<div>Animation vendredi 9 mars 2018 de 21h30 ? 01h45</div><div>Facture r?gl?e samedi 10 mars 2018 en esp?ces</div>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('28','32','1','1','1','2','1','2018-04-15 00:00:00','','','','','<div>Animation samedi 7 avril 22h - 01h45</div><div>Facture r?gl?e samedi 7 avril 2018 en esp?ces</div>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('29','33','1','1','9','2','1','2018-04-16 00:00:00','','','','','Yakadans?, samedi 14 avril 2018, Le Temps Machine, 20h - 04h','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('30','34','1','1','7','2','1','2018-05-26 00:00:00','','','','','Vendredi 25 mai 2018, Afrobeat party 3				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('31','35','1','1','12','2','1','2018-06-28 00:00:00','','','','','Vendredi 6 juillet 2018, Terres du Son 2018, sc?ne village, 23h30 - 01h30				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('32','36','1','1','9','2','1','2018-08-09 00:00:00','','','','','Animation 18h - minuit, vendredi 25 mai 2018, Guinguette Tours sur Loire, bar le Foudre				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('33','37','1','1','9','2','1','2018-09-19 00:00:00','','','','','Vendredi 14 septembre 2018, Moiteur et D?cadanse, 18h - 00h00, La Guinguette de Tours, le Foudre				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('34','38','1','1','1','2','1','2018-10-13 00:00:00','','','','','Animation du vendredi 12 octobre 2018 de 21h ? 02h','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('35','39','1','1','10','2','1','2018-11-01 00:00:00','','','','','Animation du samedi 27 octobre 2018 - 19h30 ? 01h30','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('36','40','1','1','11','2','1','2018-11-01 00:00:00','','','','','Animation du vendredi 2 novembre 2018, 20h30 - 01h30				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('37','41','1','1','9','2','1','2018-11-21 00:00:00','','','','','Animation musicale du mardi 20 octobre 2018, 19h30 - 23h30, bar les trois rois, rue du change, Tours','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('38','42','1','1','1','2','1','2019-01-12 00:00:00','','','','','Animation du vendredi 14 d?cembre 2018 de 21h ? 02h				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('39','43','1','1','1','2','1','2019-01-13 00:00:00','','','','','Animation du samedi 12 janvier 2019, 21h30 - 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('40','44','1','1','1','2','1','2019-02-10 00:00:00','','','','','Animation du samedi 9 f?vrier 2019, Tropic Tonic, 21h30 - 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('41','5','1','1','9','2','4','2019-03-07 00:00:00','','','','','Prestation musicale : La f?te ? l\'argent, samedi 6 avril 2019, Le Grand Cagibi, <span class=\"st\">9 all?e de la Fauvette, 37100 <em>Tours</em></span>','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('42','4','1','1','9','2','4','2019-03-07 00:00:00','','','','','Prestation musicale + location syst?me de sonorisation : La f?te ? l\'argent, samedi 6 avril 2019, Le Grand Cagibi, <span class=\"st\">9 all?e de la Fauvette, 37100 <em>Tours</em></span>				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('43','45','1','1','1','2','1','2019-03-17 00:00:00','','','','','Animation musicale du samedi 16 mars 2019 de 22h ? 02h, Tropic Tonic ','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('44','46','1','1','9','2','1','2019-04-19 00:00:00','','','','','Animation musicale la f?te ? l\'argent, samedi 6 avril 2019, Le Grand Cagibi, 37100 Tours				
			','100.000000','2000-12-31 00:00:00','2023-11-07 11:07:51','1663','90+','');
INSERT INTO `si_invoices` VALUES('45','48','1','1','7','2','1','2019-05-25 00:00:00','','','','','Animation musicale vendredi 21 juin 2019, Centre commercial L\'Heure Tranquille ','150.000000','2000-12-31 00:00:00','2023-11-07 11:07:51','1627','90+','');
INSERT INTO `si_invoices` VALUES('46','49','1','1','1','2','1','2019-06-16 00:00:00','','','','','Animation musicale du samedi 15 juin 2019 de 21h30 ? 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('47','50','1','1','13','2','1','2019-07-05 00:00:00','','','','','Animation musicale, Guinguette de Port Avertin, quai Paul Doumer, 37550 Saint Avertin, vendredi 5 juillet 2019, 20h30 - fermeture de l\'?talissement				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('48','51','1','1','3','2','1','2019-07-21 00:00:00','','','','','Animation musicale, samedi 20 juillet 2019, 14h30 - 19h00, 20h30 - 01h45 dimanche 21/07, Chez Dupont et Guinguette Principale				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('49','52','1','1','3','2','1','2019-07-22 00:00:00','','','','','Animation musicale dimanche 23 juin 2019, 16h - 21h, Le Foudre				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('50','53','1','1','10','2','1','2019-07-27 00:00:00','','','','','Animation musicale du samedi 27 juillet 2019 de 20h30 ? 01h00 le 28/07, 4 repas				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('51','54','1','1','9','2','1','2019-07-27 00:00:00','','','','','Animation musicale Terres du son 2019, vendredi 12 de 18h ? 03h, samedi 13 de 15h ? 03h et dimanche 14 juillet 2019 de 15h ? minuit
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('52','55','1','1','3','2','1','2019-10-15 00:00:00','','','','','Mercredi 4 septembre 2019, animation musicale 20h - 00h				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('53','56','1','1','1','2','1','2019-10-15 00:00:00','','','','','14 septembre 2019, animation musicale de 22h - 02h				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('54','57','1','1','1','2','1','2019-10-15 00:00:00','','','','','Samedi 12 octobre 2019, animation musicale 21h30 - 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('55','58','1','1','9','2','1','2019-10-17 00:00:00','','','','','Animation musicale Festival Quartier Libre samedi 5 octobre 2019				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('56','59','1','1','1','2','1','2019-11-10 00:00:00','','','','','Animation musicale samedi 9 novembre 2019 de 21h30 ? 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('57','60','1','1','1','2','1','2019-12-15 00:00:00','','','','','Animation musicale samedi 14 d?cembre 2019&nbsp; 21h30 - 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('58','61','1','1','1','2','1','2020-01-12 00:00:00','','','','','Animation musicale Tropic Tonic du samedi 11 janvier de 21h30 ? 02h00				
			','0.000000','2000-12-31 00:00:00','2021-04-16 10:37:12','0','','');
INSERT INTO `si_invoices` VALUES('59','63','1','1','1','2','1','2020-03-07 23:52:32','','','','','<div>La soirée Tropic Tonic du vendredi 6 mars 2020 de 21h30 à 02h00</div>','80.000000','2021-04-20 11:52:32','2023-11-07 11:07:51','1339','90+','');
INSERT INTO `si_invoices` VALUES('60','64','1','1','1','2','1','2020-09-30 23:01:17','','','','','<div>Tropic Tonic du samedi 6 juin 2020, de 21h30 à 02h00</div>','1.000000','2021-04-16 11:01:17','2023-11-07 11:07:51','1132','90+','');
INSERT INTO `si_invoices` VALUES('61','65','1','1','14','2','1','2020-09-30 23:05:31','','','','','<div>Anniversaire 40 ans, soirée Tropic Tonic, 2 personnes, samedi 29 août 2020, à partir de 19h</div>','0.000000','2021-04-16 11:05:31','2021-04-16 11:08:54','0','','');
INSERT INTO `si_invoices` VALUES('62','66','1','1','9','2','1','2021-06-10 22:58:02','','','','','<div>Animation musicale du mercredi 9 juin 2021. La guinguette de Tours, Chez Dupont. \"Déambulation musicale et festive aux couleurs de Quartier Libre festival\"</div>','0.000000','2021-06-10 10:58:02','2021-09-16 07:02:12','0','','');
INSERT INTO `si_invoices` VALUES('63','67','1','1','15','2','1','2021-06-28 23:42:57','','','','','<div>Animation musicale jeudi 24 juin 2021</div>','0.000000','2021-06-28 11:42:57','2021-09-16 07:01:15','0','','Julien Abels-Eber');
INSERT INTO `si_invoices` VALUES('64','68','1','1','1','2','1','2021-07-11 03:23:42','','','','','<div>Soirée Tropic Tonic 10 juillet 2021, 19h30 - 02h00</div>','0.000000','2021-07-11 03:23:42','2021-07-11 03:24:03','0','','');
INSERT INTO `si_invoices` VALUES('65','69','1','1','16','2','1','2021-09-16 19:18:55','','','','','<div>2 voitures AR Tours - Avrillé les Ponceaux : 90 km par véhicule</div>','0.000000','2021-12-27 07:18:55','2022-01-14 06:09:44','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('66','70','1','1','17','2','1','2021-09-17 21:00:40','','','','','<div>Animation musicale du Marathon 2021 se déroulant dimanche 26 septembre, get in 07h00 / 07h15, début de<br>set 08h15, durée minimum 3h45<br>CROSSOVER porte le numéro \"Groupe 4\" et se produira rue Colbert à proximité du croisement avec la Rue<br>Voltaire (idéalement sur la terrasse en bois de l\'établissement \"Préambule\", en attente de leur confirmation)<br>Besoins électriques pour un système DJ : 2 platines vinyles + mixette + pad. Nous possédons une rallonge et<br>une multiprise en cas de non fourniture par les organisateurs.<br>Système de sonorisation amené par l\'association Crossover<br>Mise à disposition d\'un barnum de 3*3 m proposée par les organisateurs<br>Rafraîchissements et nourriture à discrétion pour 4 personnes</div>','0.000000','2021-09-20 09:00:40','2021-10-23 03:17:27','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('67','71','1','1','1','2','1','2021-10-23 03:14:56','','','','','<div>Soirée Tropic Tonic vendredi 22 octobre 2021, 21h - 02h</div>','0.000000','2021-10-23 03:14:56','2021-10-23 03:15:43','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('68','74','1','1','9','2','1','2021-11-10 10:13:55','','','','','<div>Animation musicale samedi 27 novembre2021 à la Maison des Etudiants (Grandmont) dans le cadre du festival Plumes d\'Afrique, de 19h à 23h.&nbsp;<br><br>L\'association possède ses platines vinyles et table de mixage DJ pour son set. La sortie audio est en RCA, possibilité de branchement en RCA et jack 6.35 sur le système de sonorisation.<br><br>L\'organisateur fournit le système de sonorisation.&nbsp;<br><br>Le repas pour deux personnes et les boissons sont à la charge de l\'organisateur.</div>','0.000000','2021-12-06 10:13:55','2021-12-30 10:40:04','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('69','73','1','1','18','2','1','2021-11-15 21:55:27','','','','','<div>Animation musicale samedi 6 novembre 2021</div>','0.000000','2021-11-15 09:55:27','2021-12-30 10:39:44','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('70','75','1','1','1','2','1','2022-02-20 20:53:31','','','','','<div>Animation musicale du samedi 19 février 2022, 21h30 - 02h00</div>','0.000000','2022-02-20 08:53:31','2022-02-20 08:54:24','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('71','76','1','1','1','2','1','2022-03-27 03:49:07','','','','','<div>Animation musicale samedi 26 mars 2022 de 21h30 à 01h45</div>','0.000000','2022-03-27 03:49:07','2022-06-11 09:56:36','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('72','77','1','1','17','2','1','2022-05-22 01:15:26','','','','','<div>Animation musicale samedi 21 mai 2022, place Choiseul incluant accueil + kit son/light de l\'évènement, de 20h à 21h30. Backline non fourni.&nbsp;</div>','0.000000','2022-05-22 01:15:26','2022-06-11 09:56:02','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('73','78','1','1','19','2','1','2022-05-03 19:18:09','','','','','<div>Animation musicale à l\'occasion des 10 ans de l\'association Crossover, samedi 30 avril 2022, 18h - 02h</div>','0.000000','2022-05-03 07:18:09','2022-05-15 08:06:40','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('74','79','1','1','10','2','1','2022-05-10 21:25:51','','','','','<div>Animation musicale du samedi 7 mai 2022 de 20h à 01h, release party La Chimba</div>','0.000000','2022-05-10 09:25:51','2022-05-10 09:27:15','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('75','80','1','1','3','2','1','2022-05-15 19:06:12','','','','','<div>Animation musicale Chez Dupont Vendredi 13 mai 2022, 19h30 - 00h15</div>','0.000000','2022-05-15 07:06:12','2023-02-07 02:47:12','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('76','81','1','1','3','2','1','2022-06-29 16:31:53','','','','','<div>Animation musicale dimanche 26 juin 2022 de 13h à 21h Chez Dupont</div>','0.000000','2022-06-29 04:31:53','2023-02-07 02:47:38','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('77','82','1','1','20','2','1','2022-07-02 18:09:27','','','','','<div>Animation musicale samedi 2 juillet 2022 20h - 23h<br><br>Inclus un repas et boissons pour les deux intervenants</div>','0.000000','2022-06-29 06:09:27','2023-02-07 02:48:15','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('78','83','1','1','6','2','1','2022-07-05 14:52:33','','','','','<div>Animation musicale 01/07/22, abbaye de bourgueil</div>','0.000000','2023-02-07 02:52:33','2023-02-07 02:57:18','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('79','84','1','1','9','2','1','2022-07-10 14:54:19','','','','','<div>TDS samedi 9/7/22, carte blanche 18h00 - 03h00</div>','0.000000','2023-02-07 02:54:19','2023-02-07 02:54:49','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('80','85','1','1','21','2','1','2022-11-04 15:19:18','','','','','<div>Vendredi 4 novembre 2022, Animation musicale de 21h à 02h00</div>','0.000000','2023-02-07 03:19:18','2023-05-05 01:05:47','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('81','86','1','1','9','2','1','2023-02-07 15:07:21','','','','','<div>Animation musicale TDS 09/07/22, 2 sachets de 50 colliers à fleurs</div>','0.000000','2023-02-07 03:07:21','2023-02-07 03:07:34','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('82','87','1','1','1','2','1','2022-12-07 15:22:32','','','','','<div>Animation musicale Cititropique samedi 3 décembre 2022</div>','0.000000','2023-02-07 03:22:32','2023-02-07 03:23:11','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('83','7','1','1','22','2','4','2023-02-07 15:42:02','','','','','<div>Plateau CROSSOVER ouverture de saison 2 le 01/04/23 – Les Beaumonts – ZAC Casernes Beaumont Chauveau, 15h - 19h30<br><br>Boissons à discrétion pour le collectif<br><br>Équipements techniques nécessaires : Barnum, alimentation électrique au pied du barnum (besoins inférieurs à 2000 watts), chaises ou bancs, trois tables</div>','150.000000','2023-02-07 03:42:02','2023-11-07 11:07:51','272','90+','Association Crossover');
INSERT INTO `si_invoices` VALUES('84','88','1','1','19','2','1','2023-05-05 12:58:52','','','','','<div>Animation musicale du jeudi 4 mai 2023 au Point Haut dans le cadre du festival l\'Archipel</div>','0.000000','2023-05-05 12:58:52','2023-06-19 12:39:31','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('85','89','1','1','19','2','1','2023-05-22 08:37:09','','','','','<div>Animation musicale vendredi 12 mai 2023 19h - 00h30, Le Foudre, Guinguette de Tours sur Loire</div>','0.000000','2023-05-22 08:37:09','2023-06-19 12:39:53','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('86','90','1','1','23','2','1','2023-06-19 12:30:33','','','','','<div>Animation musicale XL Art 2023 du 16 au 18 juin 2023, Serres municipales de Saint Pierre des Corps</div>','0.000000','2023-06-19 12:30:33','2023-06-27 10:40:19','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('87','91','1','1','24','2','1','2023-06-30 21:28:39','','','','','<div>Animation musicale du vendredi 30 juin 2023, 19h - 23h, 8 place de la Cathédrale, 37000 Tours</div>','0.000000','2023-06-29 09:28:39','2023-08-08 10:30:41','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('88','92','1','1','24','2','1','2023-08-08 10:31:58','','','','','<div>Animation musicale du jeudi 3 août 2023, 19h00 - 23h00, Clinique du Street Art.</div>','0.000000','2023-08-08 10:31:58','2023-10-20 09:08:34','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('89','93','1','1','25','2','1','2023-10-13 09:05:37','','','','','<div>Animation musicale jeudi 19 octobre 2023 à l\'occasion de votre banquet solidaire, ilot boulevard Heurteloup entre la gare et le Palais des Congrès.&nbsp;<br><br>Besoins : Barnum, table, électricité, facilité pour décharger et garer un véhicule<br><br><br></div>','0.000000','2023-10-20 09:05:37','2023-10-20 09:07:06','0','','Association Crossover');
INSERT INTO `si_invoices` VALUES('90','94','1','1','1','2','1','2023-10-22 10:59:24','','','','','<div>Animation musicale samedi 21 octobre 2023, 21h - 02h</div>','0.000000','2023-10-22 10:59:24','2023-10-22 10:59:41','0','','Association Crossover');

CREATE TABLE `si_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `user_id` int(11) DEFAULT NULL,
  `sqlquerie` text COLLATE utf8_unicode_ci,
  `last_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`,`domain_id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_payment` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ac_inv_id` int(11) unsigned DEFAULT NULL,
  `ac_amount` decimal(25,6) NOT NULL,
  `ac_notes` text COLLATE utf8_unicode_ci,
  `ac_date` datetime NOT NULL,
  `ac_payment_type` int(11) unsigned DEFAULT NULL,
  `domain_id` int(11) NOT NULL,
  `online_payment_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ac_check_number` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  KEY `domain_id` (`domain_id`),
  KEY `ac_inv_id` (`ac_inv_id`),
  KEY `ac_amount` (`ac_amount`)
) ENGINE=InnoDB AUTO_INCREMENT=87 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_payment` VALUES('1','3','80.000000','','2016-09-24 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('2','1','250.000000','BNP Paribas, ch?que # 2331322','2016-09-20 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('3','4','60.000000','','2016-10-09 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('4','5','90.000000','','2016-11-13 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('5','7','80.000000','','2016-12-11 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('6','6','250.000000','','2016-11-25 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('7','8','150.000000','Paiement esp?ce le 21012017','2017-01-22 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('8','9','55.000000','Pay?e samedi 210117 esp?ces 55 euros','2017-01-22 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('9','10','80.000000','','2017-02-26 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('10','2','100.000000','','2017-03-22 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('11','11','60.000000','','2017-03-12 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('12','12','80.000000','','2017-04-16 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('13','15','50.000000','Dimanche 11/06/2017','2017-06-12 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('14','17','70.000000','','2017-07-16 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('15','16','200.000000','','2017-07-06 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('16','19','80.000000','','2017-08-13 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('17','13','60.000000','','2017-05-14 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('18','20','50.000000','','2017-09-16 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('19','14','300.000000','','2017-08-23 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('20','21','60.000000','','2017-10-14 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('21','22','90.000000','','2017-11-11 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('22','18','150.000000','','2017-12-20 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('23','23','60.000000','','2017-12-09 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('24','24','70.000000','','2018-01-13 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('25','26','70.000000','','2018-02-10 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('27','25','50.000000','remise de ch?que num?ro&nbsp;<span style=\"font-family: arial, helvetica, clean, sans-serif; font-size: 12px; font-weight: bold; background-color: rgb(237, 237, 237);\">3818322</span>','2018-03-10 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('29','28','70.000000','','2018-04-07 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('30','27','80.000000','','2018-03-10 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('31','29','200.000000','','2018-05-02 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('32','34','90.000000','','2018-10-13 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('33','30','200.000000','','2018-07-02 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('34','32','100.000000','','2018-08-09 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('35','33','150.000000','','2018-10-10 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('36','38','70.000000','','2018-12-15 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('37','36','150.000000','','2018-11-06 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('38','31','200.000000','','2018-11-27 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('39','35','150.000000','Esp?ces d?pos?s en caisse chez Julien','2018-11-02 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('40','39','90.000000','','2019-01-13 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('41','37','150.000000','NNC cr?dit agricole touraine num?ro 2097156','2019-01-13 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('42','40','80.000000','','2019-02-10 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('43','43','90.000000','','2019-03-17 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('44','48','200.000000','','2019-08-09 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('45','55','100.000000','','2019-10-17 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('46','54','70.000000','','2019-10-17 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('47','53','50.000000','','2019-10-17 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('48','49','100.000000','','2019-06-25 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('49','47','150.000000','remise 1439948','2019-07-20 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('50','52','300.000000','','2019-10-21 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('51','46','100.000000','','2019-06-25 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('52','56','110.000000','','2019-11-10 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('53','51','300.000000','','2019-11-05 00:00:00','3','1','','');
INSERT INTO `si_payment` VALUES('54','50','200.000000','','2019-11-21 00:00:00','2','1','','');
INSERT INTO `si_payment` VALUES('55','57','90.000000','','2019-12-15 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('56','58','80.000000','','2020-01-12 00:00:00','1','1','','');
INSERT INTO `si_payment` VALUES('57','61','150.000000','','2020-10-13 23:08:54','2','1','','');
INSERT INTO `si_payment` VALUES('58','64','100.000000','','2021-07-11 03:24:03','1','1','','');
INSERT INTO `si_payment` VALUES('59','63','100.000000','','2021-08-03 19:01:15','3','1','','');
INSERT INTO `si_payment` VALUES('60','62','100.000000','','2021-06-17 19:02:12','3','1','','');
INSERT INTO `si_payment` VALUES('61','67','120.000000','','2021-10-23 03:15:43','1','1','','');
INSERT INTO `si_payment` VALUES('62','66','350.000000','','2021-10-04 03:17:27','3','1','','');
INSERT INTO `si_payment` VALUES('63','69','50.000000','','2021-12-28 10:39:44','3','1','','');
INSERT INTO `si_payment` VALUES('64','68','200.000000','','2021-12-30 10:40:04','1','1','','');
INSERT INTO `si_payment` VALUES('65','65','45.000000','','2022-01-14 18:09:44','3','1','','');
INSERT INTO `si_payment` VALUES('66','70','100.000000','','2022-02-20 20:54:24','1','1','','');
INSERT INTO `si_payment` VALUES('67','74','200.000000','','2022-05-07 21:27:15','1','1','','');
INSERT INTO `si_payment` VALUES('68','73','2184.000000','','2022-05-13 20:06:40','3','1','','');
INSERT INTO `si_payment` VALUES('69','72','300.000000','','2022-06-01 09:56:02','3','1','','');
INSERT INTO `si_payment` VALUES('70','71','70.000000','','2022-03-01 09:56:36','1','1','','');
INSERT INTO `si_payment` VALUES('71','75','250.000000','','2022-09-14 14:47:12','3','1','','');
INSERT INTO `si_payment` VALUES('72','76','250.000000','','2022-09-14 14:47:38','3','1','','');
INSERT INTO `si_payment` VALUES('73','77','250.000000','','2022-07-28 14:48:15','3','1','','');
INSERT INTO `si_payment` VALUES('74','79','200.000000','','2022-08-19 14:54:49','3','1','','');
INSERT INTO `si_payment` VALUES('75','78','250.000000','','2022-12-23 14:57:18','3','1','','');
INSERT INTO `si_payment` VALUES('76','80','100.000000','','2022-11-15 15:06:14','1','1','','');
INSERT INTO `si_payment` VALUES('77','81','40.000000','','2023-02-07 15:07:34','3','1','','');
INSERT INTO `si_payment` VALUES('78','82','80.000000','','2022-12-16 15:23:10','1','1','','');
INSERT INTO `si_payment` VALUES('79','80','40.000000','','2023-05-05 13:05:47','1','1','','');
INSERT INTO `si_payment` VALUES('80','84','100.000000','','2023-05-25 12:39:31','3','1','','');
INSERT INTO `si_payment` VALUES('81','85','200.000000','','2023-06-15 12:39:53','3','1','','');
INSERT INTO `si_payment` VALUES('82','86','800.000000','','2023-06-26 10:40:19','3','1','','');
INSERT INTO `si_payment` VALUES('83','87','200.000000','','2023-07-27 10:30:41','3','1','','');
INSERT INTO `si_payment` VALUES('84','89','250.000000','<div>François curis / société générale / 901</div>','2023-10-20 09:07:06','2','1','','');
INSERT INTO `si_payment` VALUES('85','88','200.000000','','2023-08-30 09:08:34','3','1','','');
INSERT INTO `si_payment` VALUES('86','90','100.000000','','2023-10-22 10:59:41','1','1','','');

CREATE TABLE `si_payment_types` (
  `pt_id` int(11) unsigned NOT NULL,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `pt_description` varchar(250) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pt_enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`domain_id`,`pt_id`),
  UNIQUE KEY `pt_id` (`pt_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_payment_types` VALUES('1','1','Espèces','1');
INSERT INTO `si_payment_types` VALUES('2','1','Chèque','1');
INSERT INTO `si_payment_types` VALUES('3','1','Virement','1');

CREATE TABLE `si_preferences` (
  `pref_id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `pref_description` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_currency_sign` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_heading` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_wording` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_detail_heading` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_detail_line` text COLLATE utf8_unicode_ci,
  `pref_inv_payment_method` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_payment_line1_name` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_payment_line1_value` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_payment_line2_name` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_inv_payment_line2_value` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pref_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `status` tinyint(1) NOT NULL,
  `locale` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `language` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `index_group` int(11) NOT NULL,
  `set_aging` tinyint(1) NOT NULL DEFAULT '0',
  `currency_code` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  `include_online_payment` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `currency_position` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`pref_id`),
  UNIQUE KEY `pref_id` (`pref_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_preferences` VALUES('1','1','Facture','€','Facture','Facture','Details','Paiement à réception par chèque, espèces, virement bancaire','Crédit Agricole Touraine Poitou','IBAN - FR76 1940 6370 3167 1736 4163 767','BIC - AGRIFRPP894','','','1','1','fr_FR','fr_FR','1','1','EUR','','left');
INSERT INTO `si_preferences` VALUES('2','1','Receipt','$','Receipt','Receipt','Details','<br />This transaction has been paid in full, please keep this receipt as proof of purchase.<br /> Thank you','','','','','','0','1','','','1','0','USD','','left');
INSERT INTO `si_preferences` VALUES('3','1','Estimate','$','Estimate','Estimate','Details','<br />This is an estimate of the final value of services rendered.<br />Thank you','','','','','','0','1','','','1','0','USD','','left');
INSERT INTO `si_preferences` VALUES('4','1','Devis','€','Devis','Devis','Details','','','','','','','1','1','fr_FR','fr_FR','4','1','EUR','','left');

CREATE TABLE `si_product_groups` (
  `name` varchar(60) NOT NULL,
  `markup` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
INSERT INTO `si_product_groups` VALUES('Equipment','0');
INSERT INTO `si_product_groups` VALUES('Labor','0');
INSERT INTO `si_product_groups` VALUES('Materials','0');
INSERT INTO `si_product_groups` VALUES('Subcontractor','0');

CREATE TABLE `si_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `domain_id` int(11) NOT NULL DEFAULT '1',
  `description` text COLLATE utf8_unicode_ci,
  `unit_price` decimal(25,6) DEFAULT '0.000000',
  `default_tax_id` int(11) DEFAULT NULL,
  `default_tax_id_2` int(11) DEFAULT NULL,
  `cost` decimal(25,6) DEFAULT '0.000000',
  `reorder_level` int(11) DEFAULT NULL,
  `custom_field1` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notes` text COLLATE utf8_unicode_ci,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `attribute` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notes_as_description` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `show_description` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `custom_flags` char(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `product_group` varchar(60) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_products` VALUES('1','1','Animation musicale','10.000000','4','','','','','','','','','1','1','','','','','');
INSERT INTO `si_products` VALUES('2','1','Location matriel de sonorisation','10.000000','4','','','','','','','','','1','1','','','','','');
INSERT INTO `si_products` VALUES('3','1','Rgisseur son','150.000000','4','','','','','','','','','1','1','','','','','');
INSERT INTO `si_products` VALUES('4','1','Indemnité kilométrique','0.400000','4','','0.000000','0','','','','','','1','1','[]','','','0000000000','');

CREATE TABLE `si_products_attribute_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_products_attribute_type` VALUES('1','list');
INSERT INTO `si_products_attribute_type` VALUES('2','decimal');
INSERT INTO `si_products_attribute_type` VALUES('3','free');

CREATE TABLE `si_products_attributes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `type_id` int(11) unsigned DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_products_attributes` VALUES('1','Size','1','1','1');
INSERT INTO `si_products_attributes` VALUES('2','Colour','1','1','1');

CREATE TABLE `si_products_attributes_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `attribute_id` int(11) unsigned DEFAULT NULL,
  `value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_products_attributes_values` VALUES('1','1','S','1');
INSERT INTO `si_products_attributes_values` VALUES('2','1','M','1');
INSERT INTO `si_products_attributes_values` VALUES('3','1','L','1');
INSERT INTO `si_products_attributes_values` VALUES('4','2','Red','1');
INSERT INTO `si_products_attributes_values` VALUES('5','2','White','1');

CREATE TABLE `si_sql_patchmanager` (
  `sql_id` int(11) NOT NULL AUTO_INCREMENT,
  `sql_patch_ref` int(11) NOT NULL,
  `sql_patch` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sql_release` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
  `sql_statement` text COLLATE utf8_unicode_ci,
  `source` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`sql_id`)
) ENGINE=InnoDB AUTO_INCREMENT=873 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_sql_patchmanager` VALUES('1','1','Create sql_patchmanger table','20060514','CREATE TABLE si_sql_patchmanager (sql_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,sql_patch_ref VARCHAR( 50 ) NOT NULL ,sql_patch VARCHAR( 255 ) NOT NULL ,sql_release VARCHAR( 25 ) NOT NULL ,sql_statement TEXT NOT NULL) ENGINE = MYISAM ','original');
INSERT INTO `si_sql_patchmanager` VALUES('2','2','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('3','3','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('4','4','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('5','5','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('6','6','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('7','7','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('8','8','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('9','9','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('10','10','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('11','11','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('12','12','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('13','13','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('14','14','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('15','15','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('16','16','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('17','17','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('18','18','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('19','19','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('20','20','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('21','21','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('22','22','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('23','23','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('24','24','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('25','25','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('26','26','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('27','27','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('28','28','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('29','29','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('30','30','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('31','31','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('32','32','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('33','33','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('34','34','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('35','35','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('36','36','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('37','0','Start','20060514','','original');
INSERT INTO `si_sql_patchmanager` VALUES('38','37','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('39','38','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('40','39','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('41','40','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('42','41','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('43','42','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('44','43','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('45','44','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('46','45','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('47','46','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('48','47','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('49','48','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('50','49','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('51','50','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('52','51','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('53','52','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('54','53','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('599','54','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('600','55','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('601','56','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('602','57','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('603','58','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('604','59','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('605','60','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('606','61','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('607','62','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('608','63','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('609','64','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('610','65','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('611','66','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('612','67','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('613','68','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('614','69','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('615','70','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('616','71','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('617','72','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('618','73','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('619','74','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('620','75','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('621','76','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('622','77','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('623','78','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('624','79','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('625','80','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('626','81','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('627','82','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('628','83','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('629','84','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('630','85','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('631','86','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('632','87','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('633','88','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('634','89','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('635','90','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('636','91','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('637','92','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('638','93','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('639','94','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('640','95','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('641','96','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('642','97','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('643','98','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('644','99','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('645','100','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('646','101','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('647','102','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('648','103','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('649','104','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('650','105','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('651','106','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('652','107','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('653','108','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('654','109','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('655','110','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('656','111','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('657','112','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('658','113','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('659','114','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('660','115','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('661','116','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('662','117','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('663','118','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('664','119','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('665','120','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('666','121','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('667','122','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('668','123','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('669','124','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('670','125','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('671','126','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('672','127','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('673','128','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('674','129','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('675','130','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('676','131','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('677','132','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('678','133','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('679','134','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('680','135','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('681','136','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('682','137','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('683','138','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('684','139','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('685','140','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('686','141','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('687','142','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('688','143','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('689','144','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('690','145','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('691','146','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('692','147','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('693','148','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('694','149','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('695','150','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('696','151','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('697','152','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('698','153','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('699','154','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('700','155','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('701','156','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('702','157','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('703','158','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('704','159','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('705','160','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('706','161','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('707','162','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('708','163','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('709','164','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('710','165','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('711','166','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('712','167','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('713','168','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('714','169','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('715','170','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('716','171','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('717','172','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('718','173','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('719','174','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('720','175','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('721','176','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('722','177','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('723','178','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('724','179','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('725','180','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('726','181','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('727','182','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('728','183','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('729','184','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('730','185','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('731','186','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('732','187','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('733','188','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('734','189','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('735','190','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('736','191','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('737','192','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('738','193','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('739','194','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('740','195','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('741','196','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('742','197','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('743','198','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('744','199','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('745','200','Update extensions table','20090529','UPDATE si_extensions SET id = 0 WHERE name = core LIMIT 1','original');
INSERT INTO `si_sql_patchmanager` VALUES('746','201','Set domain_id on system defaults table to 1','20090622','UPDATE si_system_defaults SET domain_id = 1','original');
INSERT INTO `si_sql_patchmanager` VALUES('747','202','Set extension_id on system defaults table to 1','20090622','UPDATE si_system_defaults SET extension_id = 1','original');
INSERT INTO `si_sql_patchmanager` VALUES('748','203','Move all old consulting style invoices to itemised','20090704','UPDATE si_invoices SET type_id = 2 where type_id = 3','original');
INSERT INTO `si_sql_patchmanager` VALUES('749','204','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('750','205','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('751','206','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('752','207','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('753','208','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('754','209','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('755','210','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('756','210','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('757','211','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('758','212','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('759','213','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('760','214','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('761','215','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('762','216','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('763','217','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('764','218','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('765','219','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('766','220','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('767','221','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('768','222','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('769','223','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('770','224','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('771','225','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('772','226','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('773','227','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('774','228','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('775','229','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('776','230','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('777','231','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('778','232','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('779','233','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('780','234','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('781','235','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('782','236','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('783','237','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('784','238','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('785','239','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('786','240','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('787','241','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('788','242','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('789','243','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('790','244','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('791','245','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('792','246','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('793','247','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('794','248','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('795','249','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('796','250','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('797','251','','','','original');
INSERT INTO `si_sql_patchmanager` VALUES('798','252','Language - reset to en_US - due to folder renaming','20100419','UPDATE `si_system_defaults` SET value =\'en_US\' where name=\'language\';','original');
INSERT INTO `si_sql_patchmanager` VALUES('799','253','Add PaymentsGateway API ID field','20110918','ALTER TABLE `si_biller` ADD  `paymentsgateway_api_id` VARCHAR( 255 ) NULL AFTER `eway_customer_id`;','original');
INSERT INTO `si_sql_patchmanager` VALUES('800','254','Product Matrix - update line items table','20130313','ALTER TABLE `si_invoice_items` ADD `attribute` VARCHAR( 255 ) NULL ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('801','255','Product Matrix - update line items table','20130313','CREATE TABLE `si_products_attributes` (`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                                                                             `name` VARCHAR( 255 ) NOT NULL,
                                                                             `type_id` VARCHAR( 255 ) NOT NULL) ENGINE = MYISAM ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('802','256','Product Matrix - update line items table','20130313','INSERT INTO `si_products_attributes` (`id`, `name`, `type_id`) VALUES (NULL, \'Size\',\'1\'), (NULL,\'Colour\',\'1\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('803','257','Product Matrix - update line items table','20130313','CREATE TABLE `si_products_values` (`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                                                                         `attribute_id` INT( 11 ) NOT NULL ,
                                                                         `value` VARCHAR( 255 ) NOT NULL) ENGINE = MYISAM ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('804','258','Product Matrix - update line items table','20130313','INSERT INTO `si_products_values` (`id`, `attribute_id`,`value`)
                        VALUES (NULL,\'1\', \'S\'),  (NULL,\'1\', \'M\'), (NULL,\'1\', \'L\'),  (NULL,\'2\', \'Red\'),  (NULL,\'2\', \'White\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('805','259','Product Matrix - update line items table','20130313','SELECT 1+1;','original');
INSERT INTO `si_sql_patchmanager` VALUES('806','260','Product Matrix - update line items table','20130313','SELECT 1+1;','original');
INSERT INTO `si_sql_patchmanager` VALUES('807','261','Product Matrix - update line items table','20130313','SELECT 1+1;','original');
INSERT INTO `si_sql_patchmanager` VALUES('808','262','Add product attributes system preference','20130313','INSERT INTO si_system_defaults (id, name ,value ,domain_id ,extension_id ) VALUES (NULL , \'product_attributes\', \'0\', \'1\', \'1\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('809','263','Product Matrix - update line items table','20130313','ALTER TABLE `si_products` ADD `attribute` VARCHAR( 255 ) NULL ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('810','264','Product - use notes as default line item description','20130314','ALTER TABLE `si_products` ADD `notes_as_description` VARCHAR( 1 ) NULL ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('811','265','Product - expand/show line item description','20130314','ALTER TABLE `si_products` ADD `show_description` VARCHAR( 1 ) NULL ;','original');
INSERT INTO `si_sql_patchmanager` VALUES('812','266','Product - expand/show line item description','20130322','CREATE TABLE `si_products_attribute_type` (`id` int(11) NOT NULL AUTO_INCREMENT,
                                                                                 `name` varchar(255) NOT NULL,
                                                                                 PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;','original');
INSERT INTO `si_sql_patchmanager` VALUES('813','267','Product Matrix - insert attribute types','20130325','INSERT INTO `si_products_attribute_type` (`id`, `name`) VALUES (NULL,\'list\'),  (NULL,\'decimal\'), (NULL,\'free\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('814','268','Product Matrix - insert attribute types','20130327','ALTER TABLE  `si_products_attributes` ADD `enabled` VARCHAR( 1 ) NULL DEFAULT  \'1\',
                                                                            ADD `visible` VARCHAR( 1 ) NULL DEFAULT  \'1\';','original');
INSERT INTO `si_sql_patchmanager` VALUES('815','269','Product Matrix - insert attribute types','20130327','ALTER TABLE  `si_products_values` ADD  `enabled` VARCHAR( 1 ) NULL DEFAULT  \'1\';','original');
INSERT INTO `si_sql_patchmanager` VALUES('816','270','Make SimpleInvoices faster - add index','20100419','ALTER TABLE `si_payment` ADD INDEX(`ac_inv_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('817','271','Make SimpleInvoices faster - add index','20100419','ALTER TABLE `si_payment` ADD INDEX(`ac_amount`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('818','272','Add product attributes system preference','20130313','INSERT INTO si_system_defaults (id, name ,value ,domain_id ,extension_id ) VALUES (NULL , \'large_dataset\', \'0\', \'1\', \'1\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('819','273','Make SimpleInvoices faster - add index','20130927','ALTER TABLE `si_invoice_items` ADD INDEX(`invoice_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('820','274','Only One Default Variable name per domain allowed - add unique index','20131007','ALTER TABLE `si_system_defaults` ADD UNIQUE INDEX `UnqNameInDomain` (`domain_id`, `name`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('821','275','Make EMail / Password pair unique per domain - add unique index','20131007','ALTER TABLE `si_user` CHANGE `password` `password` VARCHAR(64) NULL,
                                                            ADD UNIQUE INDEX `UnqEMailPwd` (`email`, `password`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('822','276','Each invoice Item must belong to a specific Invoice with a specific domain_id','20131008','ALTER TABLE `si_invoice_items` ADD COLUMN `domain_id` INT NOT NULL DEFAULT \'1\' AFTER `invoice_id`;','original');
INSERT INTO `si_sql_patchmanager` VALUES('823','277','Add Index for Quick Invoice Item Search for a domain_id','20131008','ALTER TABLE `si_invoice_items` ADD INDEX `DomainInv` (`invoice_id`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('824','278','Each Invoice Item can have only one instance of each tax','20131008','SELECT 1+1;','original');
INSERT INTO `si_sql_patchmanager` VALUES('825','279','Drop unused superseded table si_product_matrix if present','20131009','DROP TABLE IF EXISTS `si_products_matrix`;','original');
INSERT INTO `si_sql_patchmanager` VALUES('826','280','Each domain has their own extension instances','20131011','ALTER TABLE `si_extensions` DROP PRIMARY KEY, ADD PRIMARY KEY (`id`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('827','281','Each domain has their own custom_field id sets','20131011','ALTER TABLE `si_custom_fields` DROP PRIMARY KEY,
                                                                     ADD PRIMARY KEY (`cf_id`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('828','282','Each domain has their own logs','20131011','ALTER TABLE `si_log` ADD COLUMN `domain_id` INT NOT NULL DEFAULT \'1\' AFTER `id`,
                                                           DROP PRIMARY KEY,
                                                           ADD PRIMARY KEY (`id`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('829','283','Match field type with foreign key field si_user.id','20131012','ALTER TABLE `si_log` CHANGE `userid` `userid` INT NOT NULL DEFAULT \'1\';','original');
INSERT INTO `si_sql_patchmanager` VALUES('830','284','Make si_index sub_node and sub_node_2 fields as integer','20131016','ALTER TABLE `si_index` CHANGE `node` `node` VARCHAR(64) NOT NULL,
                                                             CHANGE `sub_node` `sub_node` INT NOT NULL,
                                                             CHANGE `sub_node_2` `sub_node_2` INT NOT NULL;','original');
INSERT INTO `si_sql_patchmanager` VALUES('831','285','Fix compound Primary Key for si_index table','20131016','ALTER TABLE `si_index` ADD PRIMARY KEY (`node`, `sub_node`, `sub_node_2`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('832','286','Speedup lookups from si_index table with indices in si_invoices table','20131016','ALTER TABLE `si_invoices`
                        ADD UNIQUE INDEX `UniqDIB` (`index_id`, `preference_id`, `biller_id`, `domain_id`),
                        ADD INDEX `IdxDI` (`index_id`, `preference_id`, `domain_id`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('833','287','Populate additional user roles like domain_administrator','20131017','INSERT IGNORE INTO `si_user_role` (`name`) VALUES (\'domain_administrator\'), (\'customer\'), (\'biller\');','original');
INSERT INTO `si_sql_patchmanager` VALUES('834','288','Fully relational now - do away with the si_index table','20131017','SELECT 1+1;','original');
INSERT INTO `si_sql_patchmanager` VALUES('835','289','Each cron_id can run a maximum of only once a day for each domain_id','20131108','ALTER TABLE `si_cron_log` ADD UNIQUE INDEX `CronIdUnq` (`domain_id`, `cron_id`, `run_date`);','original');
INSERT INTO `si_sql_patchmanager` VALUES('836','290','Set all Flag fields to tinyint(1) and other 1 byte fields to char','20131109','ALTER TABLE `si_biller` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_customers` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_extensions` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 0 NOT NULL;
                        ALTER TABLE `si_payment_types` CHANGE `pt_enabled` `pt_enabled` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_preferences` CHANGE `pref_enabled` `pref_enabled` TINYINT(1) DEFAULT 1 NOT NULL,
                                                                   CHANGE `status` `status` TINYINT(1) NOT NULL;
                        ALTER TABLE `si_products` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL,
                                                                CHANGE `notes_as_description` `notes_as_description` CHAR(1) NULL,
                                                                CHANGE `show_description` `show_description` CHAR(1) NULL;
                        ALTER TABLE `si_tax` CHANGE `tax_enabled` `tax_enabled` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_cron` CHANGE `email_biller` `email_biller` TINYINT(1) DEFAULT 0 NOT NULL,
                                                            CHANGE `email_customer` `email_customer` TINYINT(1) DEFAULT 0 NOT NULL;
                        ALTER TABLE `si_custom_fields` CHANGE `cf_display` `cf_display` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_invoice_item_tax` CHANGE `tax_type` `tax_type` CHAR(1) DEFAULT \'%\' NOT NULL;
                        ALTER TABLE `si_tax` CHANGE `type` `type` CHAR(1) DEFAULT \'%\' NOT NULL;
                        ALTER TABLE `si_products_attributes` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL,
                                                                           CHANGE `visible` `visible` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_products_VALUES` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL;
                        ALTER TABLE `si_user` CHANGE `enabled` `enabled` TINYINT(1) DEFAULT 1 NOT NULL;','original');
INSERT INTO `si_sql_patchmanager` VALUES('837','291','Clipped size of zip_code and credit_card_number fields to realistic values','20131111','ALTER TABLE `si_customers` CHANGE `zip_code` `zip_code` VARCHAR(20) NULL,
                                                                 CHANGE `credit_card_number` `credit_card_number` VARCHAR(20) NULL;
                        ALTER TABLE `si_biller` CHANGE `zip_code` `zip_code` VARCHAR(20) NULL;','original');
INSERT INTO `si_sql_patchmanager` VALUES('838','292','Added Customer/Biller User ID column to user table','20140103','ALTER TABLE `si_user` ADD COLUMN `user_id` INT  DEFAULT 0 NOT NULL AFTER `enabled`;','original');
INSERT INTO `si_sql_patchmanager` VALUES('839','293','Add department to the customers','20161004','ALTER TABLE `si_customers` ADD COLUMN `department` VARCHAR(255) NULL AFTER `name`;','original');
INSERT INTO `si_sql_patchmanager` VALUES('840','294','Add custom_flags table for products.','20180922','CREATE TABLE `si_custom_flags` (`domain_id`        int(11) DEFAULT \'1\' NOT NULL, `associated_table` char(10)            NOT NULL COMMENT \'Table flag is associated with. Only defined for products for now.\', `flg_id`           tinyint(3) unsigned NOT NULL COMMENT \'Flag number ranging from 1 to 10\', `field_label`      varchar(20)         NOT NULL COMMENT \'Label to use on screen where option is set.\', `enabled`          tinyint(1)          NOT NULL COMMENT \'Defaults to enabled when record created. Can disable to retire flag.\', `field_help`       varchar(255)        NOT NULL COMMENT \'Help information to display for this field.\', PRIMARY KEY `uid` (`domain_id`, `associated_table`, `flg_id`), KEY `domain_id` (`domain_id`), KEY `dtable`    (`domain_id`, `associated_table`)) ENGINE=InnoDB COMMENT=\'Specifies an allowed setting for a flag field\';ALTER TABLE `si_products` ADD `custom_flags` CHAR( 10 ) NOT NULL COMMENT \'User defined flags\';INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',1,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',2,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',3,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',4,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',5,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',6,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',7,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',8,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',9,0);INSERT INTO `si_custom_flags` (domain_id, associated_table, flg_id, enabled) VALUES (1,\'products\',10,0);DELETE IGNORE FROM `si_extensions` WHERE `name` = \'custom_flags\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('841','295','Add net income report.','20180923','DELETE IGNORE FROM `si_extensions` WHERE `name` = \'net_income_report\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('842','296','Add past due report.','20180924','DELETE IGNORE FROM `si_extensions` WHERE `name` = \'past_due_report\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('843','297','Add User Security enhancement fields and values','20180924','ALTER TABLE `si_user` ADD `username` VARCHAR(255) DEFAULT \'\' NOT NULL AFTER `id`;ALTER TABLE `si_user` DROP INDEX `UnqEMailPwd`;UPDATE `si_user` AS U1, `si_user` AS U2 SET U1.username = U2.email WHERE U2.id = U1.id;ALTER TABLE `si_user` ADD UNIQUE INDEX `uname` (`username`);ALTER TABLE `si_system_defaults` CHANGE `value` `value` VARCHAR(60);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'company_logo\'        , \'simple_invoices_logo.png\', 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'company_name\'        , \'SimpleInvoices\' , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'company_name_item\'   , \'SimpleInvoices\' , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'password_min_length\' , 8        , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'password_lower\'      , 1        , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'password_number\'     , 1        , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'password_special\'    , 1        , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'password_upper\'      , 1        , 1);INSERT INTO `si_system_defaults` (`domain_id` , `name`, `value`,`extension_id`) VALUES (1, \'session_timeout\'     , 15       , 1);DELETE IGNORE FROM `si_extensions` WHERE `name` = \'user_security\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('844','298','Add Signature field to the biller table.','20181003','ALTER TABLE `si_biller` ADD `signature` varchar(255) DEFAULT \'\' NOT NULL COMMENT \'Email signature\' AFTER `email`;DELETE IGNORE FROM `si_extensions` WHERE `name` = \'signature_field\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('845','299','Add check number field to the payment table.','20181003','ALTER TABLE `si_payment` ADD `ac_check_number` varchar(10) DEFAULT \'\' NOT NULL COMMENT \'Check number for CHECK payment types\';DELETE IGNORE FROM `si_extensions` WHERE `name` = \'payments\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('846','300','Add install complete table.','20181008','CREATE TABLE `si_install_complete` (`completed` tinyint(1) NOT NULL COMMENT \'Flag SI install has completed\') ENGINE=InnoDB COMMENT=\'Specifies an allowed setting for a flag field\';INSERT INTO `si_install_complete` (completed) VALUES (1);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('847','301','Add last_activity_date, aging_date and aging_value to invoices.','20181012','ALTER TABLE `si_invoices` ADD `last_activity_date` DATETIME DEFAULT \'2000-12-31 00:00:00\' NOT NULL COMMENT \'Date last activity update to the invoice\', ADD `aging_date` DATETIME DEFAULT \'2000-12-30 00:00:00\' NOT NULL COMMENT \'Date aging was last calculated\', ADD `age_days` SMALLINT(5) UNSIGNED DEFAULT 0 NOT NULL COMMENT \'Age of invoice balance\', ADD `aging` VARCHAR(5) DEFAULT \'\' NOT NULL COMMENT \'Aging string (1-14, 15-30, etc.\';DELETE IGNORE FROM `si_system_defaults` WHERE `name` = \'large_dataset\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('848','302','Added owing to invoices table','20181017','ALTER TABLE `si_invoices` ADD COLUMN `owing` DECIMAL(25,6) DEFAULT 0 NOT NULL COMMENT \'Amount owing as of aging-date\' AFTER `note`;UPDATE `si_invoices` SET `owing` = 1 WHERE 1=1;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('849','303','Add invoice custom field report extension to standard application and add sales_representative field.','20181018','ALTER TABLE `si_invoices` ADD `sales_representative` VARCHAR(50) DEFAULT \'\' NOT NULL;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('850','304','Add default_invoice field to the customers table.','20181020','ALTER TABLE `si_customers` ADD `default_invoice` INT(10) UNSIGNED DEFAULT 0 NOT NULL COMMENT \'Invoice index_id value to use as the default template\' AFTER `notes`;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('851','305','Add expense tables to the database.','20181027','CREATE TABLE `si_expense` (id INT(11) NOT NULL AUTO_INCREMENT UNIQUE KEY, domain_id INT(11) NOT NULL, amount DECIMAL(25,6) NOT NULL, expense_account_id INT(11) NOT NULL, biller_id INT(11) NOT NULL, customer_id INT(11) NOT NULL, invoice_id INT(11) NOT NULL, product_id INT(11) NOT NULL, date DATE NOT NULL, note TEXT NOT NULL) ENGINE = InnoDb;ALTER TABLE `si_expense` ADD PRIMARY KEY (domain_id, id);CREATE TABLE `si_expense_account` (id INT(11) NOT NULL AUTO_INCREMENT UNIQUE KEY, domain_id INT(11) NOT NULL, name VARCHAR(255) NOT NULL) ENGINE = InnoDb;ALTER TABLE `si_expense_account` ADD PRIMARY KEY (domain_id, id);CREATE TABLE `si_expense_item_tax` (id INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY, expense_id INT(11) NOT NULL, tax_id INT(11) NOT NULL, tax_type VARCHAR(1) NOT NULL, tax_rate DECIMAL(25, 6) NOT NULL, tax_amount DECIMAL(25, 6) NOT NULL) ENGINE = MYISAM;ALTER TABLE `si_expense` ADD status TINYINT(1) NOT NULL;INSERT INTO `si_system_defaults` (`name`, `value`, `domain_id`, `extension_id`) VALUES (\'expense\', 0, 1, 1) ;DELETE IGNORE FROM `si_extensions` WHERE `name` = \'expense\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('852','306','Clean up default_tax_id and default_tax_id_2 for products','20190329','UPDATE `si_products` SET `default_tax_id` = NULL WHERE `default_tax_id` = 0;UPDATE `si_products` SET `default_tax_id_2` = NULL WHERE `default_tax_id_2` = 0;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('853','307','Fix cron_log cron_id data type','20190329','DROP INDEX `CronIdUnq` ON `si_cron_log`;ALTER TABLE `si_cron_log` MODIFY `cron_id` INT(11) NULL;UPDATE `si_cron_log` SET `cron_id` = NULL WHERE `cron_id` = 0;ALTER TABLE `si_cron_log` ADD UNIQUE KEY `CronIdUnq`  (`domain_id`,`cron_id`,`run_date`);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('854','308','Remove dup id key from invoice_item_attachments and fix products_attributes type_id data type','20190329','ALTER TABLE `si_invoice_item_attachments` DROP INDEX `id`;ALTER TABLE `si_products_attributes` MODIFY `type_id` INT(11) UNSIGNED NULL;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('855','309','Rename userid to user_id in log table','20190329','ALTER TABLE `si_log` CHANGE `userid` `user_id` INT(11) NULL;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('856','310','Make record unique id fields consistent in size and properties','20190329','ALTER TABLE `si_biller` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoices` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoice_item_attachments` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_payment` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('857','311','Remove default from all id fields.','20190329','ALTER TABLE `si_biller` ALTER `id` DROP DEFAULT;ALTER TABLE `si_invoices` ALTER `biller_id` DROP DEFAULT;ALTER TABLE `si_invoices` ALTER `customer_id` DROP DEFAULT;ALTER TABLE `si_invoices` ALTER `type_id` DROP DEFAULT;ALTER TABLE `si_invoices` ALTER `preference_id` DROP DEFAULT;ALTER TABLE `si_invoice_items` ALTER `invoice_id` DROP DEFAULT;ALTER TABLE `si_invoice_items` ALTER `product_id` DROP DEFAULT;ALTER TABLE `si_payment` ALTER `ac_payment_type` DROP DEFAULT;ALTER TABLE `si_system_defaults` ALTER `extension_id` DROP DEFAULT;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('858','312','Remove default from domain_id & set misc id characteristics.','20190329','ALTER TABLE `si_biller` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_cron` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_cron_log` MODIFY `cron_id` INT(11) UNSIGNED NULL;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('859','313','Use common characteristics for all non-autoincrement id type fields.','20190329','ALTER TABLE `si_cron` MODIFY `invoice_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense` MODIFY `expense_account_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense` MODIFY `biller_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense` MODIFY `customer_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense` MODIFY `invoice_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense` MODIFY `product_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense_item_tax` MODIFY `expense_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_expense_item_tax` MODIFY `tax_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_inventory` MODIFY `product_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoices` MODIFY `biller_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoices` MODIFY `customer_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoices` MODIFY `type_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoices` MODIFY `preference_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoice_items` MODIFY `invoice_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoice_items` MODIFY `product_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoice_item_attachments` MODIFY `invoice_item_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoice_item_tax` MODIFY `invoice_item_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_invoice_item_tax` MODIFY `tax_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_payment` MODIFY `ac_inv_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_payment` MODIFY `ac_payment_type` INT(11) UNSIGNED NULL;ALTER TABLE `si_payment_types` MODIFY `pt_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_products_values` MODIFY `attribute_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_system_defaults` MODIFY `extension_id` INT(11) UNSIGNED NULL;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('860','314','Create the index items for all auto increment fields.','20190329','ALTER TABLE `si_biller` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_cron` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_cron_log` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_custom_fields` ADD CONSTRAINT `cf_id` UNIQUE(`cf_id`);ALTER TABLE `si_customers` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_extensions` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_inventory` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_invoices` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_log` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_payment` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_payment_types` ADD CONSTRAINT `pt_id` UNIQUE(`pt_id`);ALTER TABLE `si_preferences` ADD CONSTRAINT `pref_id` UNIQUE(`pref_id`);ALTER TABLE `si_products` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_system_defaults` ADD CONSTRAINT `id` UNIQUE(`id`);ALTER TABLE `si_tax` ADD CONSTRAINT `tax_id` UNIQUE(`tax_id`);ALTER TABLE `si_user` ADD CONSTRAINT `id` UNIQUE(`id`);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('861','315','Make all tables InnoDB, utf8 and utr8_unicode_ci','20190329','ALTER TABLE `si_biller` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_cron` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_cron_log` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_custom_fields` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_custom_flags` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_customers` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_expense` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_expense_account` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_expense_item_tax` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_extensions` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_index` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_install_complete` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_inventory` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_invoice_item_attachments` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_invoice_item_tax` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_invoice_items` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_invoice_type` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_invoices` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_log` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_payment` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_payment_types` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_preferences` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_products` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_products_attribute_type` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_products_attributes` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_products_values` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_sql_patchmanager` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_system_defaults` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_tax` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_user` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_user_domain` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;ALTER TABLE `si_user_role` ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('862','316','Change character type field settings to charset utf8 collate utf8_unicode_ci','20190329','ALTER TABLE `si_custom_flags` MODIFY `associated_table` char(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_custom_flags` MODIFY `field_label` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_custom_flags` MODIFY `field_help` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_expense` MODIFY `note` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_expense_account` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_expense_item_tax` MODIFY `tax_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_extensions` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_extensions` MODIFY `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_index` MODIFY `node` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_inventory` MODIFY `note` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `custom_field1` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `custom_field2` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `custom_field3` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `custom_field4` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `note` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoices` MODIFY `sales_representative` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoice_items` MODIFY `description` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoice_items` MODIFY `attribute` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoice_item_attachments` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoice_item_tax` MODIFY `tax_type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_invoice_type` MODIFY `inv_ty_description` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_log` MODIFY `sqlquerie` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_payment` MODIFY `ac_notes` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_payment` MODIFY `online_payment_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_payment` MODIFY `ac_check_number` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_payment_types` MODIFY `pt_description` varchar(250) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_description` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_currency_sign` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_heading` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_wording` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_detail_heading` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_detail_line` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_payment_method` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_payment_line1_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_payment_line1_value` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_payment_line2_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `pref_inv_payment_line2_value` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `locale` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `language` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `currency_code` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `include_online_payment` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_preferences` MODIFY `currency_position` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `description` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `custom_field1` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `custom_field2` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `custom_field3` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `custom_field4` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `notes` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `attribute` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `notes_as_description` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `show_description` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products` MODIFY `custom_flags` char(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products_attributes` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products_attribute_type` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_products_values` MODIFY `value` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_sql_patchmanager` MODIFY `sql_patch` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_sql_patchmanager` MODIFY `sql_release` varchar(25) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_sql_patchmanager` MODIFY `sql_statement` text CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_sql_patchmanager` MODIFY `source` varchar(20) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_system_defaults` MODIFY `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_system_defaults` MODIFY `value` varchar(60) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_tax` MODIFY `tax_description` varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_tax` MODIFY `type` char(1) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_user` MODIFY `email` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_user` MODIFY `password` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_user` MODIFY `username` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_user_domain` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;ALTER TABLE `si_user_role` MODIFY `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('863','317','Additional field characteristic setting changes prior to declaring foreign keys.','20190425','ALTER TABLE `si_biller` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_cron` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_cron_log` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_cron_log` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_customers` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_customers` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_customers` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_customers` MODIFY `parent_customer_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_custom_fields` MODIFY `cf_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_custom_fields` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_custom_flags` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_expense` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_expense` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_expense_account` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_expense_account` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_expense_item_tax` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_extensions` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_extensions` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_index` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_index` MODIFY `id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_inventory` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_inventory` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoice_items` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_invoice_items` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_invoice_items` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoice_item_tax` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoice_type` MODIFY `inv_ty_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_invoices` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_invoices` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_invoices` MODIFY `index_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_log` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_log` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_log` MODIFY `id` BIGINT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_log` MODIFY `last_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_log` MODIFY `user_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_payment` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_payment_types` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_payment_types` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_payment_types` MODIFY `pt_id` INT(11) UNSIGNED NULL AUTO_INCREMENT;ALTER TABLE `si_preferences` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_preferences` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_preferences` MODIFY `pref_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_products` MODIFY `default_tax_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_products` MODIFY `default_tax_id_2` INT(11) UNSIGNED NULL;ALTER TABLE `si_products` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_products` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_products` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_products_attributes` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_products_attribute_type` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_products_values` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_sql_patchmanager` MODIFY `sql_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_system_defaults` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_system_defaults` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_system_defaults` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_tax` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_tax` MODIFY `tax_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_user` ALTER `domain_id` DROP DEFAULT;ALTER TABLE `si_user` MODIFY `domain_id` INT(11) UNSIGNED NOT NULL;ALTER TABLE `si_user` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_user` MODIFY `role_id` INT(11) UNSIGNED NULL;ALTER TABLE `si_user_domain` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;ALTER TABLE `si_user_role` MODIFY `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('864','318','Add foreign keys to tables.','20190507','ALTER TABLE `si_cron` ADD FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_cron_log` ADD FOREIGN KEY (`cron_id`) REFERENCES `si_cron` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_expense` ADD FOREIGN KEY (`biller_id`) REFERENCES `si_biller` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT; ALTER TABLE `si_expense` ADD FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_expense` ADD FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT; ALTER TABLE `si_expense` ADD FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_expense` ADD FOREIGN KEY (`expense_account_id`) REFERENCES `si_expense_account` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_expense_item_tax` ADD FOREIGN KEY (`expense_id`) REFERENCES `si_expense` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_expense_item_tax` ADD FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_inventory` ADD FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoices` ADD FOREIGN KEY (`biller_id`) REFERENCES `si_biller` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT; ALTER TABLE `si_invoices` ADD FOREIGN KEY (`customer_id`) REFERENCES `si_customers` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoices` ADD FOREIGN KEY (`type_id`) REFERENCES `si_invoice_type` (`inv_ty_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoices` ADD FOREIGN KEY (`preference_id`) REFERENCES `si_preferences` (`pref_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoice_items` ADD FOREIGN KEY (`invoice_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoice_items` ADD FOREIGN KEY (`product_id`) REFERENCES `si_products` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoice_item_tax` ADD FOREIGN KEY (`tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_invoice_item_attachments` ADD FOREIGN KEY (`invoice_item_id`) REFERENCES `si_invoice_items` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_log` ADD FOREIGN KEY (`user_id`) REFERENCES `si_user` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_payment` ADD FOREIGN KEY (`ac_inv_id`) REFERENCES `si_invoices` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_payment` ADD FOREIGN KEY (`ac_payment_type`) REFERENCES `si_payment_types` (`pt_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_products` ADD FOREIGN KEY (`default_tax_id`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_products` ADD FOREIGN KEY (`default_tax_id_2`) REFERENCES `si_tax` (`tax_id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_products_attributes` ADD FOREIGN KEY (`type_id`) REFERENCES `si_products_attribute_type` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_products_values` ADD FOREIGN KEY (`attribute_id`) REFERENCES `si_products_attributes` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_user` ADD FOREIGN KEY (`domain_id`) REFERENCES `si_user_domain` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;ALTER TABLE `si_user` ADD FOREIGN KEY (`role_id`) REFERENCES `si_user_role` (`id`) ON UPDATE CASCADE ON DELETE RESTRICT;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('865','319','Add set_aging field to si_preferences','20200123','ALTER TABLE `si_preferences` ADD COLUMN `set_aging` BOOL NOT NULL DEFAULT  \'0\' AFTER `index_group`;UPDATE `si_preferences` SET `set_aging` = 1 WHERE pref_id = \'1\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('866','320','Remove deleted extensions mini and measurement','20200822','DELETE IGNORE FROM `si_extensions` WHERE `name` = \'mini\' OR `name` = \'measurement\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('867','321','Add parent_customer_id field to the database','20200924','ALTER TABLE `si_customers` ADD `parent_customer_id` INT(11) NULL AFTER `notes`;DELETE IGNORE FROM `si_extensions` WHERE `name` = \'sub_customer\';INSERT INTO `si_system_defaults` (`name`, `value`, `domain_id`, `extension_id`) VALUES (\'sub_customer\', 0, 1, 1);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('868','322','Add product_groups table to the database.','20201010','CREATE TABLE `si_product_groups` (name VARCHAR(60) NOT NULL PRIMARY KEY, markup INT(2) NOT NULL DEFAULT 0) ENGINE = InnoDb;DELETE IGNORE FROM `si_extensions` WHERE `name` = \'invoice_grouped\';INSERT INTO `si_system_defaults` (`name`, `value`, `domain_id`, `extension_id`) VALUES (\'product_groups\', 0, 1, 1);ALTER TABLE `si_products` ADD product_group VARCHAR(60) NOT NULL DEFAULT \'\';INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Labor\', 0);INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Equipment\', 0);INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Materials\', 0);INSERT INTO `si_product_groups` (`name`, `markup`) VALUES (\'Subcontractor\', 0);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('869','323','Add invoice description open option.','20210413','INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'invoice_description_open\', 0, 1, 1);','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('870','324','Rename si_products_values table to si_products_attributes_values.','20210527','ALTER TABLE `si_products_values` RENAME TO si_products_attributes_values;','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('871','325','Remove unused items from the si_system_defaults table.','20200615','DELETE IGNORE FROM `si_system_defaults` WHERE `name` in (\'company_name\', \'emailhost\', \'emailpassword\', \'emailusername\', \'pdfbottommargin\', \'pdfleftmargin\', \'pdfpapersize\', \'pdfrightmargin\', \'pdfscreensize\', \'pdftopmargin\', \'spreadsheet\', \'wordprocessor\');DELETE IGNORE FROM `si_system_defaults` WHERE `name` LIKE \'dateformat%\';','fearless359');
INSERT INTO `si_sql_patchmanager` VALUES('872','326','Add display department option.','20210930','INSERT INTO `si_system_defaults` (name ,value ,domain_id ,extension_id ) VALUES (\'display_department\', 1, 1, 1);','fearless359');

CREATE TABLE `si_system_defaults` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `value` varchar(60) COLLATE utf8_unicode_ci DEFAULT NULL,
  `domain_id` int(5) NOT NULL DEFAULT '0',
  `extension_id` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `UnqNameInDomain` (`domain_id`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_system_defaults` VALUES('1','biller','1','1','1');
INSERT INTO `si_system_defaults` VALUES('2','customer','1','1','1');
INSERT INTO `si_system_defaults` VALUES('3','tax','4','1','1');
INSERT INTO `si_system_defaults` VALUES('4','preference','1','1','1');
INSERT INTO `si_system_defaults` VALUES('5','line_items','5','1','1');
INSERT INTO `si_system_defaults` VALUES('6','template','default','1','1');
INSERT INTO `si_system_defaults` VALUES('7','payment_type','1','1','1');
INSERT INTO `si_system_defaults` VALUES('8','language','fr_FR','1','1');
INSERT INTO `si_system_defaults` VALUES('21','logging','0','1','1');
INSERT INTO `si_system_defaults` VALUES('22','delete','1','1','1');
INSERT INTO `si_system_defaults` VALUES('23','tax_per_line_item','1','1','1');
INSERT INTO `si_system_defaults` VALUES('24','inventory','0','1','1');
INSERT INTO `si_system_defaults` VALUES('25','product_attributes','0','1','1');
INSERT INTO `si_system_defaults` VALUES('27','company_logo','crossover.jpg','1','1');
INSERT INTO `si_system_defaults` VALUES('29','company_name_item','Association Crossover','1','1');
INSERT INTO `si_system_defaults` VALUES('30','password_min_length','8','1','1');
INSERT INTO `si_system_defaults` VALUES('31','password_lower','1','1','1');
INSERT INTO `si_system_defaults` VALUES('32','password_number','1','1','1');
INSERT INTO `si_system_defaults` VALUES('33','password_special','1','1','1');
INSERT INTO `si_system_defaults` VALUES('34','password_upper','1','1','1');
INSERT INTO `si_system_defaults` VALUES('35','session_timeout','15','1','1');
INSERT INTO `si_system_defaults` VALUES('36','default_invoice','','1','1');
INSERT INTO `si_system_defaults` VALUES('37','expense','0','1','1');
INSERT INTO `si_system_defaults` VALUES('38','sub_customer','0','1','1');
INSERT INTO `si_system_defaults` VALUES('39','product_groups','0','1','1');
INSERT INTO `si_system_defaults` VALUES('40','invoice_description_open','0','1','1');
INSERT INTO `si_system_defaults` VALUES('41','display_department','1','1','1');

CREATE TABLE `si_tax` (
  `tax_id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_description` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tax_percentage` decimal(25,6) DEFAULT '0.000000',
  `type` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tax_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `domain_id` int(11) NOT NULL,
  PRIMARY KEY (`domain_id`,`tax_id`),
  UNIQUE KEY `tax_id` (`tax_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_tax` VALUES('1','GST','10.000000','%','0','1');
INSERT INTO `si_tax` VALUES('2','VAT','10.000000','%','1','1');
INSERT INTO `si_tax` VALUES('3','Sales Tax','10.000000','%','1','1');
INSERT INTO `si_tax` VALUES('4','No Tax','0.000000','%','1','1');
INSERT INTO `si_tax` VALUES('5','Postage','20.000000','$','1','1');

CREATE TABLE `si_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `domain_id` int(11) NOT NULL DEFAULT '0',
  `password` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `user_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`domain_id`,`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `uname` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `si_user_domain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_user_domain` VALUES('1','default');

CREATE TABLE `si_user_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `si_user_role` VALUES('1','administrator');
INSERT INTO `si_user_role` VALUES('8','biller');
INSERT INTO `si_user_role` VALUES('7','customer');
INSERT INTO `si_user_role` VALUES('6','domain_administrator');

